<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'ovr',

    /*
     * Package.
     */
    'package'   => 'form',

    /*
     * Modules.
     */
    'modules'   => ['cash_purchase'],

    
    'cash_purchase'       => [
        'model' => [
            'model'                 => \Ovr\Form\Models\CashPurchase::class,
            'table'                 => 'cash_purchases',
            'presenter'             => \Ovr\Form\Repositories\Presenter\CashPurchasePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'date',  'description',  'reason',  'amount',  'status',  'status_reason',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'form/cash_purchase',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Ovr',
            'package'   => 'Form',
            'module'    => 'CashPurchase',
        ],

    ],
];
